Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 209523 - 64-bit launcher in Maven Platform App projets
64-bit launcher in Maven Platform App projets
Status: VERIFIED INVALID
Product: apisupport
Classification: Unclassified
Component: Maven
7.2
PC All
: P3 (vote)
: TBD
Assigned To: Jesse Glick
issues@apisupport
:
Depends on: 177820
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 14:56 UTC by Libor Fischmeistr
Modified: 2012-06-12 16:21 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Patch of file CreateClusterAppMojo.java (2.12 KB, application/octet-stream)
2012-03-13 14:56 UTC, Libor Fischmeistr
Details
Patch to file RunPlatformAppMojo.java (1.52 KB, application/octet-stream)
2012-03-13 14:58 UTC, Libor Fischmeistr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Libor Fischmeistr 2012-03-13 14:56:44 UTC
Created attachment 116672 [details]
Patch of file CreateClusterAppMojo.java

We have to add 64-bit launcher to the Maven platform app projects. Also when user is starting platform app from IDE, right launcher should be used. In Maven project it depends on JAVA_HOME. I've made two patches, so they can be used and tested.
Comment 1 Libor Fischmeistr 2012-03-13 14:58:40 UTC
Created attachment 116673 [details]
Patch to file RunPlatformAppMojo.java
Comment 2 Jesse Glick 2012-03-14 15:17:03 UTC
Refiled upstream: https://jira.codehaus.org/browse/MNBMODULE-164
Comment 3 Jesse Glick 2012-06-08 22:03:52 UTC
I committed a variant of your patch to the plugin. Since I have no access to a 64-bit Windows installation, it would be great if you could verify, preferably by Monday so I can start a new release vote.
Comment 4 Libor Fischmeistr 2012-06-12 09:37:30 UTC
Today I tried it on Win7 64bit and it works as it should. 64-bit launcher is properly launched.
Comment 5 Jesse Glick 2012-06-12 16:19:43 UTC
OK, thanks.
Comment 6 Jesse Glick 2012-06-12 16:21:40 UTC
(Not marking as FIXED here because there is no corresponding NB code change; and since releasing the plugin has a 72-hour voting period, 3.8 could not be released in time for NB 7.2.)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo